Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Gnome 2.16 de camino a marcarse como estable
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2  
Reply to topic    Gentoo Forums Forum Index Spanish
View previous topic :: View next topic  
Author Message
Howlett
n00b
n00b


Joined: 16 Apr 2006
Posts: 71
Location: Valladolid/Castilla y León/España

PostPosted: Mon Dec 11, 2006 10:10 am    Post subject: Reply with quote

Buenas a todos. A ver si me podéis ayudar.

Cuando hago un:
Code:
emerge -pvuD world


para actualizar todo el sistema, incluido gnome, me sale lo siguiente:

Code:

These are the packages that would be merged, in order:

Calculating world dependencies... done!
[ebuild     U ] dev-libs/atk-1.12.3 [1.12.1] USE="-debug -doc" 645 kB
[ebuild     U ] x11-misc/shared-mime-info-0.18-r1 [0.17-r2] 585 kB
[ebuild     U ] gnome-base/libglade-2.6.0 [2.5.1] USE="-debug -doc" 311 kB
[ebuild     U ] gnome-base/gnome-mime-data-2.4.3 [2.4.2] USE="-debug" 550 kB
[ebuild     U ] dev-libs/libIDL-0.8.7 [0.8.6] USE="-debug (-static%)" 334 kB
[ebuild     U ] gnome-base/orbit-2.14.2 [2.14.0] USE="ssl -debug -doc (-static%)" 690 kB
[ebuild     U ] gnome-base/gnome-vfs-2.16.3 [2.14.2-r1] USE="hal ipv6 ssl -avahi -debug -doc -gnutls -samba" 1,855 kB
[ebuild     U ] gnome-base/gnome-keyring-0.6.0 [0.4.9] USE="-debug" 465 kB
[ebuild     U ] gnome-base/libbonobo-2.16.0 [2.14.0] USE="-debug -doc" 1,373 kB
[ebuild     U ] gnome-base/libgnome-2.16.0 [2.14.1] USE="esd -debug -doc -static" 987 kB
[ebuild     U ] gnome-base/libbonoboui-2.16.0 [2.14.0] USE="X -debug -doc" 915 kB
[ebuild     U ] gnome-base/gnome-mount-0.4-r5 [0.4-r4] USE="-debug" 356 kB
[ebuild     U ] x11-themes/hicolor-icon-theme-0.9-r1 [0.8] USE="-debug%" 31 kB
[ebuild     U ] x11-misc/icon-naming-utils-0.8.1 [0.7.0] 61 kB
[ebuild     U ] x11-themes/gnome-icon-theme-2.16.1 [2.14.2] USE="-debug" 2,432 kB
[ebuild     U ] gnome-extra/gnome-games-2.16.2 [2.14.2.1] USE="-artworkextra -debug -guile" 5,134 kB
[ebuild     U ] app-text/gnome-doc-utils-0.8.0 [0.6.1] USE="-debug" 402 kB
[ebuild     U ] x11-libs/libwnck-2.16.2 [2.14.2] USE="-debug -doc" 456 kB
[ebuild     U ] gnome-base/gnome-desktop-2.16.2 [2.14.2] USE="-debug -doc" 1,202 kB
[ebuild  N    ] dev-python/pygobject-2.12.3  USE="-debug -doc" 331 kB
[ebuild  N    ] dev-python/pygtk-2.10.3  USE="opengl -doc" 1,931 kB
[ebuild     U ] gnome-base/gnome-menus-2.16.1 [2.14.0] USE="-debug" 406 kB
[ebuild     U ] gnome-base/gnome-panel-2.16.2 [2.14.2] USE="-debug -doc -eds" 2,623 kB
[ebuild     U ] app-text/poppler-0.5.4 [0.5.3] USE="jpeg zlib%* -cjk%" 1,037 kB
[ebuild     U ] net-print/libgnomecups-0.2.2 [0.2.0] USE="-debug" 307 kB
[ebuild     U ] gnome-extra/gucharmap-1.8.0 [1.6.0] USE="gnome -cjk -debug" 2,482 kB
[ebuild     U ] net-libs/libsoup-2.2.98 [2.2.94] USE="ssl -debug -doc (-static%)" 489 kB
[ebuild     U ] gnome-extra/evolution-data-server-1.8.2 [1.6.2] USE="ipv6 ssl -debug -doc -kerberos -keyring% -krb4 -ldap -nntp" 6,800 kB
[ebuild     U ] gnome-base/gail-1.9.3 [1.8.11] USE="-debug -doc" 608 kB
[ebuild     U ] gnome-extra/gtkhtml-3.12.2 [3.10.2] USE="-debug -static%" 1,255 kB
[ebuild     U ] app-text/iso-codes-0.58 [0.49] 4,321 kB
[ebuild  N    ] x11-libs/libsexy-0.1.8  USE="-debug -doc" 361 kB
[ebuild  N    ] x11-misc/notification-daemon-0.3.5  USE="-debug" 374 kB
[ebuild  N    ] x11-libs/libnotify-0.4.3  USE="-doc" 380 kB
[ebuild     U ] mail-client/evolution-2.8.2.1 [2.6.2-r1] USE="crypt ipv6 spell ssl -bogofilter -dbus -debug -doc -hal -kerberos -krb4 -ldap -mono -nntp -pda -profile (-gstreamer%) (-widescreen%)" 12,618 kB
[ebuild     U ] gnome-extra/gconf-editor-2.16.0 [2.14.0] USE="-debug" 516 kB
[ebuild     U ] gnome-base/libgtop-2.14.4 [2.14.1] USE="X gdbm -debug -static" 653 kB
[ebuild     U ] gnome-extra/gnome-utils-2.16.2 [2.14.0] USE="hal ipv6 -debug" 3,290 kB
[ebuild     U ] dev-util/desktop-file-utils-0.11 [0.10] 332 kB
[ebuild     U ] gnome-base/eel-2.16.3 [2.14.1] USE="X -debug" 657 kB
[ebuild     U ] gnome-base/nautilus-2.16.3 [2.14.1] USE="X gnome -beagle -debug" 4,168 kB
[ebuild     U ] x11-wm/metacity-2.16.3 [2.14.5] USE="-debug -xinerama" 1,790 kB
[ebuild     U ] x11-libs/libxklavier-3.0 [2.2] USE="-doc" 450 kB
[ebuild     U ] gnome-base/control-center-2.16.2 [2.14.2] USE="alsa -debug -eds (-gstreamer%*)" 1,975 kB
[ebuild     U ] dev-python/pyorbit-2.14.1 [2.14.0] USE="-debug" 275 kB
[ebuild     U ] dev-python/gnome-python-2.16.2 [2.12.4] USE="-debug -doc (-gtkhtml%)" 392 kB
[ebuild     U ] gnome-extra/nautilus-cd-burner-2.16.2 [2.14.2] USE="cdr dvdr -debug (-hal%*) (-static%)" 698 kB
[ebuild     U ] x11-libs/gtksourceview-1.8.1 [1.6.1] USE="-debug -doc" 752 kB
[ebuild     U ] dev-python/gnome-python-desktop-2.16.0 [2.14.0] USE="X -debug" 419 kB
[ebuild     U ] app-editors/gedit-2.16.2 [2.14.3] USE="python spell -debug -doc%" 2,785 kB
[ebuild     U ] net-misc/vino-2.16.0 [2.13.5] USE="crypt jpeg zlib -avahi -debug -gnutls" 579 kB
[ebuild     U ] gnome-extra/deskbar-applet-2.16.2 [2.14.2] USE="-debug -eds" 602 kB
[ebuild     U ] gnome-base/gnome-applets-2.16.2 [2.14.2] USE="gstreamer ipv6 -acpi -apm -debug -doc% (-hal%*)" 6,960 kB
[ebuild     U ] media-sound/sound-juicer-2.16.2 [2.14.4] USE="flac ogg -debug" 1,236 kB
[ebuild     U ] gnome-extra/gnome2-user-docs-2.16.1 [2.14.2] USE="-debug" 3,911 kB
[ebuild  N    ] www-client/mozilla-firefox-1.5.0.8  USE="gnome ipv6 java -debug -mozdevelop -moznopango -xinerama -xprint" LINGUAS="es -ar -bg -ca -cs -da -de -el -en_GB -es_AR -es_ES -eu -fi -fr -ga -ga_IE -gu_IN -he -hu -it -ja -ko -lt -mk -nb -nb_NO -nl -pa_IN -pl -pt_BR -ro -ru -sk -sl -sv -sv_SE -tr -zh_CN -zh_TW" 34,919 kB
[ebuild     U ] www-client/epiphany-2.16.2 [2.14.2.1-r1] USE="python -debug -doc (-firefox%)" 4,130 kB
[ebuild     U ] x11-themes/gnome-backgrounds-2.16.2 [2.14.2.1] USE="-debug" 1,172 kB
[ebuild     U ] gnome-extra/yelp-2.16.1 [2.14.2-r2] USE="-beagle% -debug (-firefox%)" 835 kB
[ebuild     U ] gnome-extra/evolution-webcal-2.8.0 [2.6.0] USE="-debug" 158 kB
[ebuild     U ] x11-libs/vte-0.14.1 [0.12.2] USE="opengl python -debug -doc" 985 kB
[ebuild     U ] gnome-extra/bug-buddy-2.16.0 [2.14.0] USE="-debug" 499 kB
[ebuild     U ] gnome-extra/gnome-system-monitor-2.16.1 [2.14.4] USE="-debug" 1,445 kB
[ebuild     U ] gnome-extra/fast-user-switch-applet-2.16.0 [2.14.2] USE="-debug" 666 kB
[ebuild     U ] app-text/poppler-bindings-0.5.4 [0.5.3] USE="gtk -cairo -qt3 -qt4" 0 kB
[ebuild     U ] app-text/evince-0.6.1 [0.6.0] USE="dbus gnome%* -debug -djvu -doc -dvi -t1lib -tiff (-nautilus%)" 1,183 kB
[ebuild     U ] x11-themes/gnome-themes-2.16.2 [2.14.2] USE="-accessibility -debug" 2,294 kB
[ebuild     U ] gnome-extra/zenity-2.16.2 [2.14.2] USE="-debug -libnotify%" 1,457 kB
[ebuild     U ] gnome-base/gnome-volume-manager-2.15.0 [1.5.15-r3] USE="crypt -debug -doc" 311 kB
[ebuild     U ] x11-terms/gnome-terminal-2.16.1 [2.14.2] USE="-debug" 1,797 kB
[ebuild     U ] x11-libs/libgksu-2.0.0 [1.9.2] USE="nls -debug -doc" 472 kB
[ebuild     U ] x11-libs/gksu-2.0.0 [1.9.1] USE="gnome%* -debug -doc% (-nls%*)" 430 kB
[ebuild     U ] gnome-base/gdm-2.16.2 [2.14.9-r1] USE="ipv6 pam tcpd -accessibility -debug (-selinux) -xinerama" 3,469 kB
[ebuild     U ] net-analyzer/gnome-nettool-2.16.0 [2.14.2] USE="-debug" 490 kB
[ebuild     U ] gnome-base/gnome-session-2.16.1 [2.14.2] USE="esd ipv6 tcpd -branding -debug" 661 kB
[ebuild     U ] gnome-extra/gnome-keyring-manager-2.16.0-r1 [2.14.0] USE="-debug -static" 443 kB
[ebuild     U ] gnome-extra/gcalctool-5.8.25 [5.8.16] USE="-debug" 1,119 kB
[ebuild     U ] app-arch/file-roller-2.16.2 [2.14.3] USE="gnome%* -debug" 1,105 kB
[ebuild     U ] media-gfx/eog-2.16.2 [2.14.2] USE="jpeg -debug -lcms" 1,027 kB

Total size of downloads: 148,649 kB


Como veis, me quiere instalar el firefox 1.5 ya que al parecer lo necesita el paquete epiphany (un paquete que no uso para nada, por otro lado). Yo no quiero ese firefox porque ya tengo instalado el firefox-bin 2.0, que me va estupendamente. ¿Como hago para que no me instale ese firefox? ¿Se puede actualizar gnome diciéndole sólo los paquetes que quiero que actualice?
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3731

PostPosted: Mon Dec 11, 2006 11:16 am    Post subject: Reply with quote

(imagino que un USE="-firefox" emerge -pv gnome no sirve de nada).

igual con pye puedes "solucionarlo" temporalmente pero casi fijo que algún otro paquete te va a requerir epiphany o yelp como dependencia, asi que estarás en la misma.
Curioso lo del (-firefox%), imagino que estará activado por defecto en alguna eclass o algo, en el ebuild no veo como desactivarlo sin hacer una guarrería ... igual cambiando el RDEP a >=www-client/mozilla-firefox-2.0 cuela, pero tendrías que compilarlo que no sé si te interesa.

Eso te pasa por hacer un emerge gnome ;)

saluetes
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
Howlett
n00b
n00b


Joined: 16 Apr 2006
Posts: 71
Location: Valladolid/Castilla y León/España

PostPosted: Mon Dec 11, 2006 11:34 am    Post subject: Reply with quote

gringo wrote:
(imagino que un USE="-firefox" emerge -pv gnome no sirve de nada).


No, la opción USE="-firefox" no funciona, es lo primero que probé.

gringo wrote:
igual con pye puedes "solucionarlo" temporalmente pero casi fijo que algún otro paquete te va a requerir epiphany o yelp como dependencia, asi que estarás en la misma.
Curioso lo del (-firefox%), imagino que estará activado por defecto en alguna eclass o algo, en el ebuild no veo como desactivarlo sin hacer una guarrería ... igual cambiando el RDEP a >=www-client/mozilla-firefox-2.0 cuela, pero tendrías que compilarlo que no sé si te interesa.


Miraré el pye que dices, a ver si puedo sacar algo en claro. Si no sólo queda compilar el firefox 2.0, aunque no me hace mucha gracia porque en anteriores ocasiones no me iba muy bien... a lo mejor metiendo una versión muy actual de pango puedo mejorarlo (o eso me dijeron en otro hilo).


gringo wrote:
Eso te pasa por hacer un emerge gnome ;)

saluetes


Ah ¿ pero hay otro modo? Sé que KDE se puede emerger de forma modular (sólo los paquetes que uno quiere) o eso he visto por ahí, pero no sabía que con Gnome se pudiese hacer igual. ¿Cómo lo has emergido tu?

Gracias por todo :)
Back to top
View user's profile Send private message
Annagul
Apprentice
Apprentice


Joined: 05 Dec 2004
Posts: 155
Location: San Fernando, Cádiz (Spain)

PostPosted: Mon Dec 11, 2006 11:51 am    Post subject: Reply with quote

Howlett wrote:
gringo wrote:
Eso te pasa por hacer un emerge gnome ;)

saluetes


Ah ¿ pero hay otro modo? Sé que KDE se puede emerger de forma modular (sólo los paquetes que uno quiere) o eso he visto por ahí, pero no sabía que con Gnome se pudiese hacer igual. ¿Cómo lo has emergido tu?


Oficialmente, hay dos ebuilds para emerger gnome: el que ya conoces y gnome-light. El ebuild "gnome" es el que recomiendan el equipo de desarrollo de Gnome de Gentoo y, aunque exista gnome-light, nadie lo usa y no pueden asegurar un mantenimiento actualizado. Podrás leerlo aquí

Saludos.
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3731

PostPosted: Mon Dec 11, 2006 11:54 am    Post subject: Reply with quote

Quote:
Si no sólo queda compilar el firefox 2.0, aunque no me hace mucha gracia porque en anteriores ocasiones no me iba muy bien... a lo mejor metiendo una versión muy actual de pango puedo mejorarlo (o eso me dijeron en otro hilo)


ojo, hablo desde la ignorancia, no uso gnome, asi que no sé si compilar el firefox 2.0 te solucionará algo. Solo te comento lo que mi limitada neurona ha deducido leyendo rápidamente el ebuild.

Quote:
Ah ¿ pero hay otro modo? Sé que KDE se puede emerger de forma modular (sólo los paquetes que uno quiere) o eso he visto por ahí, pero no sabía que con Gnome se pudiese hacer igual. ¿Cómo lo has emergido tu?


me refería a que nunca instalo metapaquetes asi de tochos sin mirar antes las uses de todos los paquetes implicados o si hay otras alternativas. Asi p.ej. tienes el metapaquete gnome-light que es una versión "recortada" por lo que he leido y puedes recoartalo aún mas si deshabilitas algún use.

saluetes
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
Howlett
n00b
n00b


Joined: 16 Apr 2006
Posts: 71
Location: Valladolid/Castilla y León/España

PostPosted: Mon Dec 11, 2006 12:04 pm    Post subject: Reply with quote

Ah vale. El Gnome-light sí que lo conocía, lo estuve mirando cuando instalé la gentoo pero al final me decidí por el metapaquete Gnome, por la versión, principalmente.

El problema es que la dependencia con firefox me ha surgido con esta nueva versión, y no con la 2.14 que es la primera que instalé.

Lo de instalar el firefox 2.0 sí que daría resultado, creo yo. Bastaría con desenmascararlo en pakage.keywords.

Esperaré a ver que dice más gente y me decido esta noche.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Spanish All times are GMT
Goto page Previous  1, 2
Page 2 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum